Index: ow/tests/views/test_user.py
===================================================================
--- ow/tests/views/test_user.py	(revision ac3af3374f9d0054d8e5390387915475e504e851)
+++ ow/tests/views/test_user.py	(revision 68d00f524e30821aa6f27e5b322ccec0563817ac)
@@ -291,10 +291,11 @@
         Renders the user dashboard
         """
+        now = datetime.now(timezone.utc)
         request = dummy_request
         response = user_views.dashboard(john, request)
         assert len(response) == 6
         assert 'month_name' in response.keys()
-        assert response['current_year'] == datetime.now().year
-        assert response['current_day_name'] == datetime.now().strftime('%a')
+        assert response['current_year'] == now.year
+        assert response['current_day_name'] == now.strftime('%a')
         # this user has a single workout, in 2015
         assert response['viewing_year'] == 2015
@@ -306,4 +307,5 @@
         Renders the user dashboard for a chosen year.
         """
+        now = datetime.now(timezone.utc)
         request = dummy_request
         # first test the year for which we know there is a workout
@@ -312,6 +314,6 @@
         assert len(response) == 6
         assert 'month_name' in response.keys()
-        assert response['current_year'] == datetime.now().year
-        assert response['current_day_name'] == datetime.now().strftime('%a')
+        assert response['current_year'] == now.year
+        assert response['current_day_name'] == now.strftime('%a')
         # this user has a single workout, in 2015
         assert response['viewing_year'] == 2015
@@ -323,6 +325,6 @@
         assert len(response) == 6
         assert 'month_name' in response.keys()
-        assert response['current_year'] == datetime.now().year
-        assert response['current_day_name'] == datetime.now().strftime('%a')
+        assert response['current_year'] == now.year
+        assert response['current_day_name'] == now.strftime('%a')
         # this user has a single workout, in 2015
         assert response['viewing_year'] == 2000
@@ -336,4 +338,5 @@
         Renders the user dashboard for a chosen year and month.
         """
+        now = datetime.now(timezone.utc)
         request = dummy_request
         # first test the year/month for which we know there is a workout
@@ -343,6 +346,6 @@
         assert len(response) == 6
         assert 'month_name' in response.keys()
-        assert response['current_year'] == datetime.now().year
-        assert response['current_day_name'] == datetime.now().strftime('%a')
+        assert response['current_year'] == now.year
+        assert response['current_day_name'] == now.strftime('%a')
         # this user has a single workout, in 2015
         assert response['viewing_year'] == 2015
@@ -354,6 +357,6 @@
         assert len(response) == 6
         assert 'month_name' in response.keys()
-        assert response['current_year'] == datetime.now().year
-        assert response['current_day_name'] == datetime.now().strftime('%a')
+        assert response['current_year'] == now.year
+        assert response['current_day_name'] == now.strftime('%a')
         # this user has a single workout, in 2015
         assert response['viewing_year'] == 2015
@@ -366,6 +369,6 @@
         assert len(response) == 6
         assert 'month_name' in response.keys()
-        assert response['current_year'] == datetime.now().year
-        assert response['current_day_name'] == datetime.now().strftime('%a')
+        assert response['current_year'] == now.year
+        assert response['current_day_name'] == now.strftime('%a')
         # this user has a single workout, in 2015
         assert response['viewing_year'] == 2010
@@ -378,4 +381,5 @@
         year for which workout data is available is assumed
         """
+        now = datetime.now(timezone.utc)
         request = dummy_request
         # Set a month without workout data
@@ -384,6 +388,6 @@
         assert len(response) == 6
         assert 'month_name' in response.keys()
-        assert response['current_year'] == datetime.now().year
-        assert response['current_day_name'] == datetime.now().strftime('%a')
+        assert response['current_year'] == now.year
+        assert response['current_day_name'] == now.strftime('%a')
         # this user has a single workout, in 2015
         assert response['viewing_year'] == 2015
@@ -395,6 +399,6 @@
         assert len(response) == 6
         assert 'month_name' in response.keys()
-        assert response['current_year'] == datetime.now().year
-        assert response['current_day_name'] == datetime.now().strftime('%a')
+        assert response['current_year'] == now.year
+        assert response['current_day_name'] == now.strftime('%a')
         # this user has a single workout, in 2015
         assert response['viewing_year'] == 2015