Index: docs/_build/html/CHANGES.html
===================================================================
--- docs/_build/html/CHANGES.html	(revision 0398a0c571b8dbc6f7e30d42b6a7531f8241a025)
+++ docs/_build/html/CHANGES.html	(revision 0398a0c571b8dbc6f7e30d42b6a7531f8241a025)
@@ -0,0 +1,197 @@
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
+  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+
+<html xmlns="http://www.w3.org/1999/xhtml">
+  <head>
+    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+    <title>OpenWorkouts Changelog &#8212; OpenWorkouts 0.2.0 documentation</title>
+    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
+    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
+    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
+    <script type="text/javascript" src="_static/jquery.js"></script>
+    <script type="text/javascript" src="_static/underscore.js"></script>
+    <script type="text/javascript" src="_static/doctools.js"></script>
+    <script type="text/javascript" src="_static/language_data.js"></script>
+    <link rel="author" title="About these documents" href="about.html" />
+    <link rel="index" title="Index" href="genindex.html" />
+    <link rel="search" title="Search" href="search.html" />
+    <link rel="prev" title="Installation instructions" href="install.html" />
+   
+  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
+  
+  
+  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />
+
+  </head><body>
+  
+
+    <div class="document">
+      <div class="documentwrapper">
+        <div class="bodywrapper">
+          
+
+          <div class="body" role="main">
+            
+  <div class="section" id="openworkouts-changelog">
+<h1><a class="toc-backref" href="#id3">OpenWorkouts Changelog</a><a class="headerlink" href="#openworkouts-changelog" title="Permalink to this headline">¶</a></h1>
+<div class="contents topic" id="contents">
+<p class="topic-title first">Contents</p>
+<ul class="simple">
+<li><a class="reference internal" href="#openworkouts-changelog" id="id3">OpenWorkouts Changelog</a><ul>
+<li><a class="reference internal" href="#release-summary" id="id4">Release summary</a></li>
+<li><a class="reference internal" href="#release-details" id="id5">Release details</a><ul>
+<li><a class="reference internal" href="#id1" id="id6">0.2.0</a></li>
+<li><a class="reference internal" href="#id2" id="id7">0.1.0</a></li>
+</ul>
+</li>
+</ul>
+</li>
+</ul>
+</div>
+<div class="section" id="release-summary">
+<h2><a class="toc-backref" href="#id4">Release summary</a><a class="headerlink" href="#release-summary" title="Permalink to this headline">¶</a></h2>
+<dl class="docutils">
+<dt>0.2.0, March 1, 2019:</dt>
+<dd>Improvements on user signup, added i18n support for the UI (+ es
+translations)</dd>
+<dt>0.1.0, February 15, 2019:</dt>
+<dd>Initial release, includes signup/login + per-user complete workout
+management and an initial set of stats.</dd>
+</dl>
+</div>
+<div class="section" id="release-details">
+<h2><a class="toc-backref" href="#id5">Release details</a><a class="headerlink" href="#release-details" title="Permalink to this headline">¶</a></h2>
+<div class="section" id="id1">
+<h3><a class="toc-backref" href="#id6">0.2.0</a><a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h3>
+<ul class="simple">
+<li>New:<ul>
+<li>Added support for different locale/language for the UI (#56, #69)
+(+ spanish translations)</li>
+<li>Added user verification by email on signup (#29, #61, #66, #67)</li>
+<li>Several internal improvements:<ul>
+<li>Added migrations support for the ZODB database (#45)</li>
+<li>Moved the setup of development environments to use ZEO</li>
+<li>Added a tasks module to run periodic tasks into separate processes</li>
+<li>Set logging capabilities and proper log files</li>
+</ul>
+</li>
+</ul>
+</li>
+<li>Fixes:<ul>
+<li>Fixed bug in the profile page yearly stats chart, that caused the wrong
+weekly/monthly label to be highlighted on page reload.</li>
+<li>Weeks for the current month were displayed in the wrong part of
+the yearly activity chart in the profile page (#68)</li>
+<li>Set a title automatically when adding manually a workout without providing
+one (#58)</li>
+<li>Signup form does not keep values on error (#60)</li>
+<li>Profile images were too big (#51)</li>
+<li>Fixed several UI problems in mobile devices (#50, #57)</li>
+<li>Fixed broken <em>bin/install</em> script (+ extended it with some new features)</li>
+<li>Use a gif “loading” image instead of a fixed image while the screenshot
+of a workout tracking map is being generated</li>
+</ul>
+</li>
+</ul>
+</div>
+<div class="section" id="id2">
+<h3><a class="toc-backref" href="#id7">0.1.0</a><a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h3>
+<ul class="simple">
+<li>New:<ul>
+<li>User signup and login, password reset and basic user profile management</li>
+<li>Multi-sport workouts support<ul>
+<li>Add workouts manually or upload using tracking files (gpx and fit
+supported)</li>
+<li>Edit/update workouts manually or with tracking files</li>
+</ul>
+</li>
+<li>Time-based archive for workouts in the user dashboard</li>
+<li>Time-based (global, per-month, per-week) stats and charts</li>
+<li>Detailed view of a workout, including basic workout info, stats and
+an interactive map for those workouts with gps data</li>
+</ul>
+</li>
+</ul>
+</div>
+</div>
+</div>
+
+
+          </div>
+          
+        </div>
+      </div>
+      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
+        <div class="sphinxsidebarwrapper">
+<h1 class="logo"><a href="index.html">OpenWorkouts</a></h1>
+
+
+
+
+
+
+
+
+<h3>Navigation</h3>
+<p class="caption"><span class="caption-text">Contents:</span></p>
+<ul class="current">
+<li class="toctree-l1"><a class="reference internal" href="about.html">About OpenWorkouts</a></li>
+<li class="toctree-l1"><a class="reference internal" href="install.html">Installation instructions</a></li>
+<li class="toctree-l1 current"><a class="current reference internal" href="#">OpenWorkouts Changelog</a><ul>
+<li class="toctree-l2"><a class="reference internal" href="#release-summary">Release summary</a></li>
+<li class="toctree-l2"><a class="reference internal" href="#release-details">Release details</a></li>
+</ul>
+</li>
+</ul>
+
+<div class="relations">
+<h3>Related Topics</h3>
+<ul>
+  <li><a href="index.html">Documentation overview</a><ul>
+      <li>Previous: <a href="install.html" title="previous chapter">Installation instructions</a></li>
+  </ul></li>
+</ul>
+</div>
+<div id="searchbox" style="display: none" role="search">
+  <h3>Quick search</h3>
+    <div class="searchformwrapper">
+    <form class="search" action="search.html" method="get">
+      <input type="text" name="q" />
+      <input type="submit" value="Go" />
+      <input type="hidden" name="check_keywords" value="yes" />
+      <input type="hidden" name="area" value="default" />
+    </form>
+    </div>
+</div>
+<script type="text/javascript">$('#searchbox').show(0);</script>
+
+
+
+
+
+
+
+
+        </div>
+      </div>
+      <div class="clearer"></div>
+    </div>
+    <div class="footer">
+      &copy;2019, Borja Lopez Rio.
+      
+      |
+      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.4</a>
+      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
+      
+      |
+      <a href="_sources/CHANGES.rst.txt"
+          rel="nofollow">Page source</a>
+    </div>
+
+    
+
+    
+  </body>
+</html>