Index: ow/templates/add_manual_workout.pt
===================================================================
--- ow/templates/add_manual_workout.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
+++ ow/templates/add_manual_workout.pt	(revision 737eb6cc6e81afb96ab201fb64049c902e11436f)
@@ -89,7 +89,9 @@
             ${form.textarea('notes', rows=10, cols=50)}
           </div>
-      </fieldset>
+        </fieldset>
 
-        ${form.submit("submit", "Save",  **{'class':"button button-normal"})}
+        <tal:with-localizer tal:define="localizer get_localizer(request)">
+          ${form.submit("submit", localizer.translate(_('Save')),  **{'class':"button button-normal"})}
+        </tal:with-localizer>
 
       ${form.end()}
Index: ow/templates/add_workout.pt
===================================================================
--- ow/templates/add_workout.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
+++ ow/templates/add_workout.pt	(revision 737eb6cc6e81afb96ab201fb64049c902e11436f)
@@ -37,12 +37,14 @@
           </p>
           <p>
-              <label for="tracking_file" i18n:translate="">
-                  Workout file (gpx, fit)</label>
-              ${form.errorlist('tracking_file')}
-              ${form.file('tracking_file')}
+            <label for="tracking_file" i18n:translate="">
+              Workout file (gpx, fit)</label>
+            ${form.errorlist('tracking_file')}
+            ${form.file('tracking_file')}
           </p>
         </fieldset>
 
-        ${form.submit("submit", "Save",  **{'class':"button button-normal"})}
+        <tal:with-localizer tal:define="localizer get_localizer(request)">
+          ${form.submit("submit", localizer.translate(_('Save')),  **{'class':"button button-normal"})}
+        </tal:with-localizer>
 
       ${form.end()}
Index: ow/templates/change_password.pt
===================================================================
--- ow/templates/change_password.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
+++ ow/templates/change_password.pt	(revision 737eb6cc6e81afb96ab201fb64049c902e11436f)
@@ -52,6 +52,7 @@
 
           <p>
-              ${form.submit("submit", "Change password",  **{'class':"button button-normal"})}
-
+            <tal:with-localizer tal:define="localizer get_localizer(request)">
+              ${form.submit("submit", localizer.translate(_('Change password')),  **{'class':"button button-normal"})}
+            </tal:with-localizer>
           </p>
           ${form.end()}
Index: ow/templates/delete_workout.pt
===================================================================
--- ow/templates/delete_workout.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
+++ ow/templates/delete_workout.pt	(revision 737eb6cc6e81afb96ab201fb64049c902e11436f)
@@ -53,8 +53,9 @@
 
       <div>
-        <p>Are you sure you want to delete this workout?</p>
+        <p i18n:translate="">Are you sure you want to delete this workout?</p>
       </div>
       <div>
-        <input class="button button-normal" type="submit" name="submit" value="Yes, delete" />
+        <input class="button button-normal" type="submit" name="submit" value="Yes, delete"
+               i18n:attributes="value" />
       </div>
       </form>
Index: ow/templates/edit_profile.pt
===================================================================
--- ow/templates/edit_profile.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
+++ ow/templates/edit_profile.pt	(revision 737eb6cc6e81afb96ab201fb64049c902e11436f)
@@ -125,5 +125,7 @@
 
         <p>
-            ${form.submit("submit", "Save",  **{'class':"button button-normal"})}
+          <tal:with-localizer tal:define="localizer get_localizer(request)">
+            ${form.submit("submit", localizer.translate(_('Save')),  **{'class':"button button-normal"})}
+          </tal:with-localizer>
         </p>
         ${form.end()}
Index: ow/templates/login.pt
===================================================================
--- ow/templates/login.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
+++ ow/templates/login.pt	(revision 737eb6cc6e81afb96ab201fb64049c902e11436f)
@@ -42,5 +42,5 @@
             </div>
             <div>
-              <input class="button button-action" type="submit" name="submit" value="Login">
+              <input class="button button-action" type="submit" name="submit" value="Login" i18n:attributes="value">
             </div>
             <a class="login-remember" href="#" i18n:translate="">
Index: ow/templates/signup.pt
===================================================================
--- ow/templates/signup.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
+++ ow/templates/signup.pt	(revision 737eb6cc6e81afb96ab201fb64049c902e11436f)
@@ -62,5 +62,6 @@
           </fieldset>
 
-          <input class="button button-action" type="submit" name="submit" value="Sign up!">
+          <input class="button button-action" type="submit" name="submit" value="Sign up!"
+                 i18n:attributes="value">
 
         </form>
Index: ow/templates/update_workout_from_file.pt
===================================================================
--- ow/templates/update_workout_from_file.pt	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
+++ ow/templates/update_workout_from_file.pt	(revision 737eb6cc6e81afb96ab201fb64049c902e11436f)
@@ -21,5 +21,5 @@
     <div id="update_workout_file" class="ow-forms">
 
-      <a class="back" href="" tal:attributes="href request.resource_url(request.root)"
+      <a class="back" href="" tal:attributes="href request.resource_url(context)"
          i18n:translate="">Back</a>
 
@@ -67,5 +67,8 @@
       </fieldset>
 
-      ${form.submit("submit", "Save",  **{'class':"button button-normal"})}
+      <tal:with-localizer tal:define="localizer get_localizer(request)">
+        ${form.submit("submit", localizer.translate(_('Save')),  **{'class':"button button-normal"})}
+      </tal:with-localizer>
+
       ${form.end()}
     </div>